# the upstream name is io_lib, but it was deemed too generic, and
# staden-io_lib will be more recognizable for users
Name:           staden-io_lib
Version:        1.11.2.1
Release:        3%{?dist}
Summary:        General purpose library to handle gene sequencing machine trace files

Group:          System Environment/Libraries
License:        MIT
URL:            http://staden.sourceforge.net
Source0:        http://downloads.sourceforge.net/staden/io_lib-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  curl-devel zlib-devel

%description
The Staden io_lib is a library of file reading and writing code to provide a
general purpose trace file (and Experiment File) reading interface.  The
programmer simply calls the (eg) read_reading to create a "Read" C structure
with the data loaded into memory.  It has been compiled and tested on a variety
of unix systems, MacOS X and MS Windows.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
# The version in the tarball is not quite consistent... grr
%setup -q -n io_lib-1.11.2
# libread is too generic.  Make up something more specific.
# also fix config script name to include the staden- part
mv io_lib-config.in staden-io_lib-config.in
sed -i 's/libread/libstaden-read/g' io_lib/Makefile.in progs/Makefile.in
sed -i 's/lread/lstaden-read/' staden-io_lib-config.in
sed -i 's/io_lib-config/staden-io_lib-config/g' configure Makefile.in


%build
#%% configure --disable-static
%configure --enable-shared
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


# Unfortunately, this package does not provide a shared library (yet).
#%post -p /sbin/ldconfig

#%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README COPYRIGHT CHANGES docs/
#%{_libdir}/*.so.*
%{_bindir}/append_sff
%{_bindir}/convert_trace
%{_bindir}/extract_qual
%{_bindir}/extract_seq
%{_bindir}/get_comment
%{_bindir}/hash_extract
%{_bindir}/hash_list
%{_bindir}/hash_sff
%{_bindir}/hash_tar
%{_bindir}/index_tar
%{_bindir}/makeSCF
%{_bindir}/scf_dump
%{_bindir}/scf_info
%{_bindir}/scf_update
%{_bindir}/illumina2srf
%{_bindir}/srf2fasta
%{_bindir}/srf2fastq
%{_bindir}/srf2illumina
%{_bindir}/srf_dump_all
%{_bindir}/srf_extract_hash
%{_bindir}/srf_extract_linear
%{_bindir}/srf_index_hash
%{_bindir}/trace_dump
%{_bindir}/ztr_dump

%files devel
%defattr(-,root,root,-)
%doc
%{_mandir}/man3/*
%{_mandir}/man4/*
%{_includedir}/io_lib/
#%{_libdir}/*.so
%{_libdir}/libstaden-read.a
%{_bindir}/staden-io_lib-config


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jun 12 2008 Christian Iseli <Christian.Iseli@licr.org> 1.11.2.1-2
- Avoid calling configure twice

* Wed Jun 11 2008 Christian Iseli <Christian.Iseli@licr.org> 1.11.2.1-1
- initial Fedora release

* Fri Jun  6 2008 Christian Iseli <Christian.Iseli@licr.org> 1.11.2.1-0
- new upstream 1.11.2.1
- change libread into libstaden-read
- change io_lib-config into staden-io_lib-config

* Tue Apr 29 2008 Christian Iseli <Christian.Iseli@licr.org> 1.11.0-0
- Initial RPM.
